=== tools/pkg/scripts/deb/debian/changelog ===
mongooseim (@VER@) unstable; urgency=low

  * New release

 -- Erlang Solutions <packages@erlang-solutions.com> @DATE@
